Subject: Re: [PATCH 1/1] Makefile: add prove and coverage-prove targets

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 29 Jan 2019 22:03:46 +0100

On Tue, Jan 29 2019, Jeff King wrote:

> On Tue, Jan 29, 2019 at 06:56:08AM -0800, Derrick Stolee via GitGitGadget wrote:
>
>> From: Derrick Stolee <[email-masked]>
>>
>> When running the test suite for code coverage using
>> 'make coverage-test', a single test failure stops the
>> test suite from completing. This leads to significant
>> undercounting of covered blocks.
>>
>> Add two new targets to the Makefile:
>>
>> * 'prove' runs the test suite using 'prove'.
>>
>> * 'coverage-prove' compiles the source using the
>>   coverage flags, then runs the test suite using
>>   'prove'.
>>
>> These targets are modeled after the 'test' and
>> 'coverage-test' targets.
>
> I think these are reasonable to have (and I personally much prefer
> "prove" to the raw "make test" output anyway).

I wonder if anyone would mind if we removed the non-prove path.

When I added it in 5099b99d25 ("test-lib: Adjust output to be valid TAP
format", 2010-06-24) there were still some commonly shipped OS's that
had a crappy old "prove", but now almost a decade later that's not a
practical problem, and it's installed by default with perl, and we
already depend on perl for the tests.

I don't feel strongly about it, but it would allow us to prune some
login in the test library / Makefile.

Maybe something for a show of hands at the contributor summit?